utmp records do not have X display address in host field

Bug #1027760 reported by Robert Ancell on 2012-07-23
40
This bug affects 6 people
Affects Status Importance Assigned to Milestone
Light Display Manager
Medium
Unassigned
lightdm (Ubuntu)
Medium
Unassigned
Precise
Wishlist
Unassigned

Bug Description

Impact:
utmp records generated by LightDM do not have the X display address in the ut_host field.

Test Case:
- log into a desktop session
- run "w" and see if there is a display associated with the session
- should work with the update

Regression potential:
The utmp,wtmp records could be wrong

---
utmp records generated by LightDM do not have the X display address in the ut_host field. It is not documented that this field should be used in this way, but this is what GDM does.

Changed in lightdm:
status: New → Triaged
importance: Undecided → Medium
affects: ubuntu → lightdm (Ubuntu)
Changed in lightdm (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
Changed in lightdm (Ubuntu Precise):
status: New → Triaged
importance: Undecided → Wishlist
description: updated
Changed in lightdm (Ubuntu):
status: Triaged → Fix Committed
Changed in lightdm:
status: Triaged → Fix Committed
Changed in lightdm (Ubuntu Precise):
status: Triaged → In Progress
milestone: none → ubuntu-12.04.1
description: updated

Thank you for the 'In progress' status. :-)
I won't be able to test future solutions because I am still using Ubuntu-10.04 (Ubuntu-12.04.1 is too buggy for me).

Sebastien Bacher (seb128) wrote :

Setting it back to Triaged until the fix for bug #990661 is sorted out

@Manuel: what is too buggy in 12.04.1?

Changed in lightdm (Ubuntu Precise):
milestone: ubuntu-12.04.1 → ubuntu-12.04.2
status: In Progress → Triaged

I can remember quite a few bugs without checking my notes (which are in another drive with 12.04 installed):
--When using Unity, if an application is launched through a shell-script, there is no icon for it in the vertical panel (works all right in 'gnome classic no effects').
--Lightdm logins not being logged in utmp/utmp records do not have X display address in host field.
--Banshee/Rhythmbox regularly stop playing audio when left on in the background (https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/978604). Which, I suspect, is in fact a pulseaudio bug.
--A new nautilus window opens underneath all other open application windows.
...
There are also usability issues.
Unity
--I need menus to add abstraction layers (Path & Application names). I have tried classicmenu-indicator (https://bugs.launchpad.net/classicmenu-indicator) but navigating menu trees sometimes fail. I modified it to show menu comments but, although it works in Ubuntu-10.04, they are not shown in 12.04.
--There is no netspeed applet for Unity. I wrote my own 'indicator' and it works all right but there are some character width issues (http://ubuntuforums.org/showpost.php?p=11937435&postcount=13). I know I can probably tweak unity to get a constant width font but... I am fed up with tweaking and tweaking to get a user experience worse than what I already have with Ubuntu-10.04.

General
--Why did they remove the tool bar in nautilus? I (and everyone, I guess) miss: 'home' 'back' 'forward' 'up' 'reload' 'search' 'list/icon view/compact view'. Yes I know there are key shortcuts but the whole point of a graphic interface is to work without them.

Sorry if I got a bit carried away. This isn't the place to grumble about the new distro.
Best regards Sebastien,
Manolo.

Sebastien Bacher (seb128) wrote :

Thanks for the details

> I can remember quite a few bugs without checking my notes (which are in another drive with 12.04 installed):
> --When using Unity, if an application is launched through a shell-script, there is no icon for it in the vertical panel (works all right in 'gnome classic no effects').

Is there a bug open about that?

> --Lightdm logins not being logged in utmp/utmp records do not have X display address in host field.

that's the issue that bug is adressing, could you explain what is your usecase and why it's important though (just to know why people need the utmp infos)

> --Banshee/Rhythmbox regularly stop playing audio when left on in the background (https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/978604). Which, I suspect, is in fact a pulseaudio bug.

is that still an issue? we fixed some gstreamer bugs with SRUs

> --A new nautilus window opens underneath all other open application windows.

that issue has been fixed in a stable update

> --Why did they remove the tool bar in nautilus? I (and everyone, I guess) miss: 'home' 'back' 'forward' 'up' 'reload' 'search' 'list/icon view/compact view'. Yes I know there are key shortcuts but the whole point of a graphic interface is to work without them.

that would be a question for GNOME but staying on old version is not a solution that will scale over time so you should find a way to work around that...

--When using Unity, if an application is launched through a shell-script, there is no icon for it in the vertical panel.
  It is a known behaviour (I googled it after I noticed) but I am not sure if it is considered a bug. It is a bug for me: I have a kind of switchboard script to launch applications with links like 'DefaultTextEditor' and nautilus runs the associated script (link). I use the distro but at the same time protect my 'things' from it: If 'gedit' is no longer the default text editor I only have to modify a single script (panel menu's items' icons do not depend on the distro either).

--Lightdm logins not being logged in utmp/utmp records do not have X display address in host field.
  As I mentioned in bug #870297, I have used, for a long time, scripts that send messages (reminders, warnings, etc) to logged users wherever they are logged in. To send those messages to graphical displays my scripts need to know (by parsing 'w' or 'who's output) who is logged and in which display name.

> --Banshee/Rhythmbox regularly stop playing audio when left on in the background. Which, I suspect, is in fact a pulseaudio bug.
  According to bug #978604 it is still an issue.

--A new nautilus window opens underneath all other open application windows.
  Glad to know it's already fixed.

I am not sticking to Ubuntu-10.04 forever. I'll check Ubuntu 12.10 in October.

Here is an example of messages to a graphical display (Ubuntu-10.04)

Re: A new nautilus window opens underneath all other open application windows.

Seems it is not fixed after all:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1035861

Changed in lightdm:
status: Fix Committed → Fix Released
status: Fix Released → Fix Committed
status: Fix Committed → Fix Released
Robert Ancell (robert-ancell) wrote :

This was fixed in lightdm 1.3.3. I can confirm that w and who both display the correct X display number so this information is in the utmp database. Higher level problems about not being able to start a program on that display need to be tracked elsewhere.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lightdm - 1.3.3-0ubuntu1

---------------
lightdm (1.3.3-0ubuntu1) quantal; urgency=low

  [ Robert Ancell ]
  * New upstream release:
    - Add a new remote session type. These sessions create a temporary local
      account and authenticate against a remote server. The session is an
      application that accesses that remote session (e.g. VNC, RDP etc)
    - Support multiple simultaneous PAM prompts (LP: #1043593)
    - Set utmp ut_host field to the X display address (LP: #1027760)
    - Correctly reap unused authentication sessions (LP: #990661)
  * debian/liblightdm-gobject-1-0.symbols:
    - Updated

  [ Michael Terry ]
  * debian/patches/06_disable_remote_login.patch:
    - Always return an error when trying to log in to remote sessions,
      until the FFe is granted (which is bug 1040221)
 -- Robert Ancell <email address hidden> Thu, 30 Aug 2012 10:15:16 +1200

Changed in lightdm (Ubuntu):
status: Fix Committed → Fix Released

Does it mean it is already fixed in Ubuntu 12.10?
Could any follower of this bug, that uses Ubuntu 12.10 beta, post the outputs of 'w' and 'who', please?

Brandt B (benedikt-benbra) wrote :

And could this please also be made available to 12.04? Schould now be simple packaging, shouldn't it? Thanks in advance.

Sebastien Bacher (seb128) wrote :

@Brandt: yes, we will include it in the next precise stable update we do

Colin Watson (cjwatson) on 2013-02-13
Changed in lightdm (Ubuntu Precise):
milestone: ubuntu-12.04.2 → ubuntu-12.04.3

Is this still going to be included in precise? It's not in 12.04.5

$ apt-cache policy lightdm
lightdm:
  Installed: 1.2.3-0ubuntu2.5
  Candidate: 1.2.3-0ubuntu2.5
  Version table:
 *** 1.2.3-0ubuntu2.5 0
        500 http://archive.ubuntu.com/ubuntu/ precise-updates/main amd64 Packages
        100 /var/lib/dpkg/status
     1.2.1-0ubuntu1 0
        500 http://archive.ubuntu.com/ubuntu/ precise/main amd64 Packages

$ lsb_release -d
Description: Ubuntu 12.04.5 LTS

$ w
 18:31:49 up 3 days, 9:01, 8 users, load average: 0.31, 0.39, 0.45
USER TTY FROM LOGIN@ IDLE JCPU PCPU WHAT
administ tty7 17:36 3days 1:02 0.40s /usr/bin/lxsession -s Lubuntu -e LXDE

The display missing from the host field is preventing me from shadowing the session with WinSwitch and currently it's not practical for me to update to 14.04.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments